--
-- Name: pk_bigserial; Type: TABLE; Schema: public; ; Tablespace:
--

CREATE TABLE pk_bigserial (
    id bigint NOT NULL,
    some_text character varying,
    some_int integer,
    created_at timestamp with time zone DEFAULT now() NOT NULL,
    updated_at timestamp with time zone
);

--
-- Name: pk_bigserial_id_seq; Type: SEQUENCE; Schema: public; 
--

CREATE SEQUENCE pk_bigserial_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: pk_bigserial_id_seq; Type: SEQUENCE OWNED BY; Schema: public; 
--

ALTER SEQUENCE pk_bigserial_id_seq OWNED BY pk_bigserial.id;


--
-- Name: pk_guid; Type: TABLE; Schema: public; ; Tablespace:
--

CREATE TABLE pk_guid (
    id uuid DEFAULT get_uuid() NOT NULL,
    some_text character varying,
    some_int integer,
    created_at timestamp with time zone DEFAULT now() NOT NULL,
    updated_at timestamp with time zone
);

--
-- Name: id; Type: DEFAULT; Schema: public; 
--

ALTER TABLE ONLY pk_bigserial ALTER COLUMN id SET DEFAULT nextval('pk_bigserial_id_seq'::regclass);

--
-- Name: pk_bigserial_pkey; Type: CONSTRAINT; Schema: public; ; Tablespace:
--

ALTER TABLE ONLY pk_bigserial
    ADD CONSTRAINT pk_bigserial_pkey PRIMARY KEY (id);


--
-- Name: pk_bigserial_some_text_key; Type: CONSTRAINT; Schema: public; ; Tablespace:
--

ALTER TABLE ONLY pk_bigserial
    ADD CONSTRAINT pk_bigserial_some_text_key UNIQUE (some_text);


--
-- Name: pk_guid_pkey; Type: CONSTRAINT; Schema: public; ; Tablespace:
--

ALTER TABLE ONLY pk_guid
    ADD CONSTRAINT pk_guid_pkey PRIMARY KEY (id);


--
-- Name: pk_guid_some_text_key; Type: CONSTRAINT; Schema: public; ; Tablespace:
--

ALTER TABLE ONLY pk_guid
    ADD CONSTRAINT pk_guid_some_text_key UNIQUE (some_text);


--
-- Name: pk_bigserial_lu_on_row_delete; Type: TRIGGER; Schema: public; 
--

CREATE TRIGGER pk_bigserial_lu_on_row_delete BEFORE DELETE ON pk_bigserial FOR EACH ROW EXECUTE PROCEDURE lu_on_row_delete();


--
-- Name: pk_bigserial_lu_on_row_update; Type: TRIGGER; Schema: public; 
--

CREATE TRIGGER pk_bigserial_lu_on_row_update BEFORE UPDATE ON pk_bigserial FOR EACH ROW EXECUTE PROCEDURE lu_on_row_update();


--
-- Name: pk_guid_lu_on_row_delete; Type: TRIGGER; Schema: public; 
--

CREATE TRIGGER pk_guid_lu_on_row_delete BEFORE DELETE ON pk_guid FOR EACH ROW EXECUTE PROCEDURE lu_on_row_delete();


--
-- Name: pk_guid_lu_on_row_update; Type: TRIGGER; Schema: public; 
--

CREATE TRIGGER pk_guid_lu_on_row_update BEFORE UPDATE ON pk_guid FOR EACH ROW EXECUTE PROCEDURE lu_on_row_update();


--
-- PostgreSQL database dump complete
--
